GET activities
/activitiesPaste your JWT token here
In: header
Query Parameters
Indicates whether to include past activities in the response. If set to true, activities that have already occurred will be included in the response; if set to false, only upcoming activities will be included.
Indicates whether to include future activities in the response. If set to true, activities that are scheduled for the future will be included in the response; if set to false, only past activities will be included.
Indicates the year for which to retrieve activities. If specified, only activities that are associated with the given year will be included in the response.
int32Indicates whether to include activities that are open for payment in the response. If set to true, activities that are currently open for payment will be included in the response; if set to false, only activities that are not open for payment will be included.
Response Body
application/json
application/json
application/json
curl -X GET "https://loading/activities"[
{
"id": 0,
"name": "string",
"price": 0.1,
"posterPath": "string",
"posterFileName": "string",
"dutchDescription": "string",
"englishDescription": "string",
"dateTimeStart": "2019-08-24T14:15:22Z",
"dateTimeEnd": "2019-08-24T14:15:22Z",
"unenrollmentDeadline": "2019-08-24T14:15:22Z",
"enrollmentDeadline": "2019-08-24T14:15:22Z",
"enrollOpenDate": "2019-08-24T14:15:22Z",
"location": "string",
"participantLimit": 0,
"organizerId": 0,
"showInKoala": true,
"showOnWebsite": true,
"isEnrollable": true,
"areParticipantsVisible": true,
"isAdultOnly": true,
"allowedAudience": "None",
"isWeeklyDrinks": true,
"vatRate": 0,
"glAccountId": "string",
"costCenterId": "string",
"costUnitId": "string",
"enrollments": [
{
"isOnWaitingList": true,
"member": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"studentNumber": 0,
"firstName": "string",
"lastName": "string",
"email": "user@example.com",
"phoneNumber": "string",
"street": "string",
"houseNumber": "string",
"postalCode": "string",
"city": "string",
"dateOfBirth": "2019-08-24T14:15:22Z",
"parentPhoneNumber": "string",
"mailSubscriptions": 0,
"notes": "string",
"registeredOn": "2019-08-24T14:15:22Z",
"preferredLanguage": "NL",
"studyEnrollments": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"studyId": 0,
"studyTitle": "string",
"studyType": "Bachelor",
"enrollmentDate": "2019-08-24T14:15:22Z",
"completionDate": "2019-08-24T14:15:22Z",
"status": "Enrolled"
}
],
"groupMemberships": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"groupId": 0,
"groupName": "string",
"groupType": "Committee",
"membershipYear": 0,
"roleAliasId": 0,
"roleAliasName": "string"
}
],
"gratie": true,
"lidVanVerdienste": true,
"ereLid": true,
"begunstiger": true,
"suspended": true,
"profilePicturePath": "string"
},
"specificationAnswers": [
{
"questionId": 0,
"answerId": 0,
"answer": "string"
}
],
"price": 0,
"activity": {
"id": 0,
"name": "string",
"price": 0.1,
"posterPath": "string",
"posterFileName": "string",
"dutchDescription": "string",
"englishDescription": "string",
"dateTimeStart": "2019-08-24T14:15:22Z",
"dateTimeEnd": "2019-08-24T14:15:22Z",
"unenrollmentDeadline": "2019-08-24T14:15:22Z",
"enrollmentDeadline": "2019-08-24T14:15:22Z",
"enrollOpenDate": "2019-08-24T14:15:22Z",
"location": "string",
"participantLimit": 0,
"organizerId": 0,
"showInKoala": true,
"showOnWebsite": true,
"isEnrollable": true,
"areParticipantsVisible": true,
"isAdultOnly": true,
"allowedAudience": "None",
"isWeeklyDrinks": true,
"vatRate": 0,
"glAccountId": "string",
"costCenterId": "string",
"costUnitId": "string",
"enrollments": [],
"specificationQuestions": [
{
"questionDutch": "string",
"questionEnglish": "string",
"type": "String",
"isMandatory": true,
"isPublic": true,
"options": [
"string"
],
"id": 0
}
],
"paymentDeadline": "2019-08-24T14:15:22Z",
"isOpenForPayment": true
}
}
],
"specificationQuestions": [
{
"questionDutch": "string",
"questionEnglish": "string",
"type": "String",
"isMandatory": true,
"isPublic": true,
"options": [
"string"
],
"id": 0
}
],
"paymentDeadline": "2019-08-24T14:15:22Z",
"isOpenForPayment": true
}
]{
"message": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}